package com.ruoyi.mall.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 专业与学校关联对象 mall_link_major_school
 *
 * @author Lsm
 * @date 2023-10-23
 */
public class MallLinkMajorSchool extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 关联主键ID */
    @Excel(name = "关联主键ID")
    private Long linkId;

    /** 一级专业id */
    private Long parentMajorId;

    /** 二级专业分类 */
    @Excel(name = "专业ID")
    private String majorId;

    /** 二级分类名称 */
    private String twoClassName;

    /** 专业名称 */
    @Excel(name = "专业名称")
    private String majorName;

    /** 学校ID */
    @Excel(name = "学校ID")
    private Long schoolId;

    /** 学校名称 */
    @Excel(name = "学校名称")
    private String schoolName;

    /** 排序 */
    @Excel(name = "排序")
    private Long sort;

    /** 专业标签 如 省级一流专业*/
    @Excel(name = "专业标签")
    private String tag;

    /** 类型*/
    @Excel(name = "级别")
    private String type;


    /** 硕士点研究方向*/
    private String mastersDegreeDirection;

    /** 博士点研究方向*/
    private String doctorateDirection;

    /** 备注 */
    @Excel(name = "备注")
    private String remarks;

    /** 创建时间 */
    @Excel(name = "创建时间")
    private String createAt;

    /** 修改时间 */
    @Excel(name = "修改时间")
    private String updateAt;

    /** 删除标记：0-正常，1-删除 */
    @Excel(name = "删除标记：0-正常，1-删除")
    private String delFlag;

    /** 专业代码 */
    private String majorCode;

    /** 专业组 */
    private String majorGroup;

    /** 是否新招 */
    private Integer isNewAccept;

    public Integer getIsNewAccept() {
        return isNewAccept;
    }

    public void setIsNewAccept(Integer isNewAccept) {
        this.isNewAccept = isNewAccept;
    }

    public String getTwoClassName() {
        return twoClassName;
    }

    public void setTwoClassName(String twoClassName) {
        this.twoClassName = twoClassName;
    }

    public String getMajorCode() {
        return majorCode;
    }

    public void setMajorCode(String majorCode) {
        this.majorCode = majorCode;
    }

    public String getMajorGroup() {
        return majorGroup;
    }

    public void setMajorGroup(String majorGroup) {
        this.majorGroup = majorGroup;
    }

    public void setLinkId(Long linkId)
    {
        this.linkId = linkId;
    }

    public Long getLinkId()
    {
        return linkId;
    }
    public void setMajorId(String majorId)
    {
        this.majorId = majorId;
    }

    public String getMajorId()
    {
        return majorId;
    }
    public void setMajorName(String majorName)
    {
        this.majorName = majorName;
    }

    public String getMajorName()
    {
        return majorName;
    }
    public void setSchoolId(Long schoolId)
    {
        this.schoolId = schoolId;
    }

    public Long getSchoolId()
    {
        return schoolId;
    }
    public void setSchoolName(String schoolName)
    {
        this.schoolName = schoolName;
    }

    public String getSchoolName()
    {
        return schoolName;
    }
    public void setSort(Long sort)
    {
        this.sort = sort;
    }

    public Long getSort()
    {
        return sort;
    }
    public void setRemarks(String remarks)
    {
        this.remarks = remarks;
    }

    public String getRemarks()
    {
        return remarks;
    }
    public void setCreateAt(String createAt)
    {
        this.createAt = createAt;
    }

    public String getCreateAt()
    {
        return createAt;
    }
    public void setUpdateAt(String updateAt)
    {
        this.updateAt = updateAt;
    }

    public String getUpdateAt()
    {
        return updateAt;
    }
    public void setDelFlag(String delFlag)
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag()
    {
        return delFlag;
    }

    public String getTag() {
        return tag;
    }

    public void setTag(String tag) {
        this.tag = tag;
    }

    public String getMastersDegreeDirection() {
        return mastersDegreeDirection;
    }

    public void setMastersDegreeDirection(String mastersDegreeDirection) {
        this.mastersDegreeDirection = mastersDegreeDirection;
    }

    public String getDoctorateDirection() {
        return doctorateDirection;
    }

    public void setDoctorateDirection(String doctorateDirection) {
        this.doctorateDirection = doctorateDirection;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public Long getParentMajorId() {
        return parentMajorId;
    }

    public void setParentMajorId(Long parentMajorId) {
        this.parentMajorId = parentMajorId;
    }

    @Override
    public String toString() {
        return "MallLinkMajorSchool{" +
                "linkId=" + linkId +
                ", majorId=" + majorId +
                ", majorName='" + majorName + '\'' +
                ", schoolId=" + schoolId +
                ", schoolName='" + schoolName + '\'' +
                ", sort=" + sort +
                ", tag='" + tag + '\'' +
                ", type='" + type + '\'' +
                ", mastersDegreeDirection='" + mastersDegreeDirection + '\'' +
                ", doctorateDirection='" + doctorateDirection + '\'' +
                ", remarks='" + remarks + '\'' +
                ", createAt='" + createAt + '\'' +
                ", updateAt='" + updateAt + '\'' +
                ", delFlag='" + delFlag + '\'' +
                ", majorCode='" + majorCode + '\'' +
                ", majorGroup='" + majorGroup + '\'' +
                '}';
    }
}
